curl --request POST \
--url https://api.athenahq.ai/api/v1/pitches \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"website_url": "https://example.com",
"country": "United States",
"language": "English"
}
'import requests
url = "https://api.athenahq.ai/api/v1/pitches"
payload = {
"website_url": "https://example.com",
"country": "United States",
"language": "English"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
website_url: 'https://example.com',
country: 'United States',
language: 'English'
})
};
fetch('https://api.athenahq.ai/api/v1/pitches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.athenahq.ai/api/v1/pitches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'website_url' => 'https://example.com',
'country' => 'United States',
'language' => 'English'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.athenahq.ai/api/v1/pitches"
payload := strings.NewReader("{\n \"website_url\": \"https://example.com\",\n \"country\": \"United States\",\n \"language\": \"English\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.athenahq.ai/api/v1/pitches")
.header("Idempotency-Key", "<idempotency-key>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"website_url\": \"https://example.com\",\n \"country\": \"United States\",\n \"language\": \"English\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.athenahq.ai/api/v1/pitches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"website_url\": \"https://example.com\",\n \"country\": \"United States\",\n \"language\": \"English\"\n}"
response = http.request(request)
puts response.read_body{
"pitch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"report_url": "<string>"
}Crear un informe de propuesta
Genera un informe del espacio de propuestas a partir de una URL pública. Requiere una clave global de organización, acceso al espacio de propuestas y una asignación disponible. Devuelve un ID duradero mientras se investiga. Consulta GET /api/v1/pitches/ hasta que pitch.status sea completed o failed. Cualquiera que tenga la URL puede acceder al informe. Cada solicitud admitida consume una propuesta, incluso si falla la generación. Reintentar con la misma organización, Idempotency-Key y entrada normalizada reutiliza la propuesta; otra entrada devuelve 409. Usa una clave nueva para pedir expresamente una instantánea nueva. La generación no envía correo.
curl --request POST \
--url https://api.athenahq.ai/api/v1/pitches \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"website_url": "https://example.com",
"country": "United States",
"language": "English"
}
'import requests
url = "https://api.athenahq.ai/api/v1/pitches"
payload = {
"website_url": "https://example.com",
"country": "United States",
"language": "English"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
website_url: 'https://example.com',
country: 'United States',
language: 'English'
})
};
fetch('https://api.athenahq.ai/api/v1/pitches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.athenahq.ai/api/v1/pitches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'website_url' => 'https://example.com',
'country' => 'United States',
'language' => 'English'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.athenahq.ai/api/v1/pitches"
payload := strings.NewReader("{\n \"website_url\": \"https://example.com\",\n \"country\": \"United States\",\n \"language\": \"English\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.athenahq.ai/api/v1/pitches")
.header("Idempotency-Key", "<idempotency-key>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"website_url\": \"https://example.com\",\n \"country\": \"United States\",\n \"language\": \"English\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.athenahq.ai/api/v1/pitches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"website_url\": \"https://example.com\",\n \"country\": \"United States\",\n \"language\": \"English\"\n}"
response = http.request(request)
puts response.read_body{
"pitch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"report_url": "<string>"
}Encabezados
Identificador estable de una solicitud lógica. Consérvalo en los reintentos.
1 - 128Cuerpo
¿Esta página le ayudó?